catman(8)

NOME
catman - crea o aggiorna le pagine di manuale preformattate

SINTASSI
catman [-dhV] [-M percorso] [sezione] ...

DESCRIZIONE
catman è usato per creare un insieme aggiornato di pagine di manuale preformattate dette anche cat page. Le cat page sono generalmente più veloci da visualizzare rispetto alle pagine di manuale originali, ma richiedono ulteriore spazio per essere memorizzate. La decisione di supportare le cat page è dell'amministratore locale, il quale deve fornire anche le directory adatte per contenerle. Le opzioni disponibili a catman sono le gerarchie delle pagine di manuale e le sezioni da preformattare. Le gerarchie predefinite sono quelle specificate come globali nel file di configurazione di man_db e le sezioni predefinite sono gli elementi separati da `:' nella variabile d'ambiente $MANSECT oppure, se $MANSECT non è definita, un insieme predefinito in fase di compilazione all'interno di man. Fornendo a catman un insieme di nomi di sezioni separati da spazi bianchi le due precedenti liste di sezioni verranno ignorate. catman fa uso della cache della base di dati index associata con ognuna delle gerarchie per determinare quali file hanno bisogno della formattazione.

OPZIONI

-d, --debug
    Mostra informazioni utili al debug.

-M percorso, --manpath=percorso
    Specifica una lista alternativa di percorsi di ricerca separati da `:'. Di default, questi sono tutti i percorsi indicati come globali nel file di configurazione di man_db.

-h, --help
    Mostra un messaggio d'aiuto ed esce.

-V, --version
    Mostra informazioni sulla versione e sull'autore.

VARIABILI D'AMBIENTE

MANSECT
    Se $MANSECT è definita, il suo valore è una lista separata da `:' di sezioni ed è usato per determinare in quali sezioni di manuali fare la ricerca e in che ordine.

MANPATH
    Se $MANPATH è definita, il suo valore è interpretato come una lista di percorsi di ricerca separati da `:' di gerarchie di pagine di manuale.

FILE

/etc/manpath.config
    File di configurazione di man_db.

/usr/man/index.(bt|db|dir|pag)
    Una cache della base di dati globale index tradizionale.

/var/catman/index.(bt|db|dir|pag)
    Una cache della base di dati globale index alternativa e conforme con FSSTND.

VEDERE ANCHE
man(1), manpath(5), mandb(8).

AUTORE
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Traduzione di Bortolozzo Giovanni (borto@pluto.linux.it)